<html>
<head>
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>ToDo - Home</title>
  
  <link rel="stylesheet" type="text/css" href="/assets/style.css">
  <!-- <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" integrity="sha384-BVYiiSIFeK1dGmJRAkycuHAHRg32OmUcww7on3RYdg4Va+PmSTsz/K68vbdEjh4u" crossorigin="anonymous"> -->
  <link href="https://fonts.googleapis.com/css?family=Roboto+Slab" rel="stylesheet">
  <link href="https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css" rel="stylesheet" integrity="sha384-wvfXpqpZZVQGK6TAh5PVlGOfQNHSoD2xbE+QkPxCAFlNEevoEH3Sl0sibVcOQVnN" crossorigin="anonymous">
</head>
<body>
  <nav class="navbar">
      <a href='/' alt="Home">Your Simple Todo App</a>
  </nav>
  <div class="container-fluid">
      <form action="/app" method="POST">
          <input class="add" type="text" name="todo" placeholder="What do you need to do" required>
          <input class="submit" type="submit" value="Add New Task"></button>
      </form>    
      <div class="todo-table">
        <ul>
          <% todos.forEach(function(todo){ %>
            <li>
                <span <% if (todo.completed){ %> 
                    class="completed" 
                   <% } %>>
                   <%= todo.todo %>
                </span>
                <div class='buttonForm'>
                <form action="/app/<%= todo._id %>?_method=PUT" method="POST">
                    <button class="check"><i class="fa fa-check-square" aria-hidden="true"></i></button>
                </form>
                </div>
                <div class='buttonForm'>
                <form action="/app/<%= todo._id %>?_method=DELETE" method="POST">
                    <button class="del"><i class="fa fa-trash-o" aria-hidden="true"></i></button>
                </form>
                <div>
              </li>
         <% }); %>
        </ul>
      </div>  
  </div>
  <script
  src="https://code.jquery.com/jquery-3.2.1.min.js"
  integrity="sha256-hwg4gsxgFZhOsEEamdOYGBf13FyQuiTwlAQgxVSNgt4="
  crossorigin="anonymous"></script>
  <script
  src="/assets/app.js"></script>
</body>
</html>